std::atomic< char32_t > Struct Template Reference
Atomics
Inheritance diagram for std::atomic< char32_t >:
[legend]

## Public Types

typedef atomic_char32_t | __base_type
typedef char32_t | __integral_type

## Public Member Functions

| atomic (const atomic &)=delete
constexpr | atomic (__integral_type __i) noexcept
| __attribute__ ((always_inline)) void store(__int_type __i
bool | is_lock_free () const noexcept
bool | is_lock_free () const volatilenoexcept
| operator __int_type () const noexcept
| operator __int_type () const volatilenoexcept
__int_type | operator&= (__int_type __i) noexcept
__int_type | operator&= (__int_type __i) volatilenoexcept
__int_type | operator++ (int) noexcept
__int_type | operator++ (int) volatilenoexcept
__int_type | operator++ () noexcept
__int_type | operator++ () volatilenoexcept
__int_type | operator+= (__int_type __i) noexcept
__int_type | operator+= (__int_type __i) volatilenoexcept
__int_type | operator-- (int) noexcept
__int_type | operator-- (int) volatilenoexcept
__int_type | operator-- () noexcept
__int_type | operator-- () volatilenoexcept
__int_type | operator-= (__int_type __i) noexcept
__int_type | operator-= (__int_type __i) volatilenoexcept
atomic & | operator= (const atomic &)=delete
atomic & | operator= (const atomic &) volatile=delete
__int_type | operator^= (__int_type __i) noexcept
__int_type | operator^= (__int_type __i) volatilenoexcept
__int_type | operator|= (__int_type __i) noexcept
__int_type | operator|= (__int_type __i) volatilenoexcept

## Detailed Description

### template<>
struct std::atomic< char32_t >

Explicit specialization for char32_t.

Definition at line 750 of file atomic.

The documentation for this struct was generated from the following file:

- atomic